Loading...
Searching...
No Matches
gx_main_midi::MidiControllerTable Class Reference

`#include <gx_main_midi.h>`

Inheritance diagram for gx_main_midi::MidiControllerTable:

## Static Public Member Functions

static void | toggle (gx_engine::GxMachineBase &machine, Glib::RefPtr< ToggleAction > item)

## Private Types

enum | { RESPONSE_DELETE_SELECTED }

## Private Member Functions

void | set (bool v)
void | load ()
| MidiControllerTable (gx_engine::GxMachineBase &machine, Glib::RefPtr< ToggleAction > item)
| ~MidiControllerTable ()

## Static Private Member Functions

static void | response_cb (GtkWidget *widget, gint response_id, gpointer data)
static void | edited_cb (GtkCellRendererText *renderer, gchar *path, gchar *new_text, gpointer data)
static void | destroy_cb (GtkWidget *, gpointer data)
static void | toggleButtonSetSwitch (GtkWidget *w, gpointer data)

## Private Attributes

GtkToggleButton * | togglebutton
GtkTreeSelection * | selection
GtkListStore * | store
Glib::RefPtr< ToggleAction > | menuaction
gx_engine::GxMachineBase & | machine
sigc::connection | midi_conn

## Static Private Attributes

static GtkWidget * | window

## Detailed Description

Definition at line 50 of file gx_main_midi.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
RESPONSE_DELETE_SELECTED |

Definition at line 52 of file gx_main_midi.h.

## Constructor & Destructor Documentation

## MidiControllerTable()

gx_main_midi::MidiControllerTable::MidiControllerTable | ( | gx_engine::GxMachineBase & | machine,
|  | Glib::RefPtr< ToggleAction > | item )

explicit private

## ~MidiControllerTable()

gx_main_midi::MidiControllerTable::~MidiControllerTable | ( |  | ) |

private

## Member Function Documentation

## destroy_cb()

void gx_main_midi::MidiControllerTable::destroy_cb | ( | GtkWidget * | ,
|  | gpointer | data )

static private

## edited_cb()

void gx_main_midi::MidiControllerTable::edited_cb | ( | GtkCellRendererText * | renderer,
|  | gchar * | path,
|  | gchar * | new_text,
|  | gpointer | data )

static private

## load()

void gx_main_midi::MidiControllerTable::load | ( |  | ) |

private

## response_cb()

void gx_main_midi::MidiControllerTable::response_cb | ( | GtkWidget * | widget,
|  | gint | response_id,
|  | gpointer | data )

static private

## set()

void gx_main_midi::MidiControllerTable::set | ( | bool | v | ) |

private

## toggle()

void gx_main_midi::MidiControllerTable::toggle | ( | gx_engine::GxMachineBase & | machine,
|  | Glib::RefPtr< ToggleAction > | item )

static

## toggleButtonSetSwitch()

void gx_main_midi::MidiControllerTable::toggleButtonSetSwitch | ( | GtkWidget * | w,
|  | gpointer | data )

static private

## Member Data Documentation

## machine

gx_engine::GxMachineBase& gx_main_midi::MidiControllerTable::machine

private

Definition at line 58 of file gx_main_midi.h.

Referenced by MidiControllerTable(), and toggle().

## menuaction

Glib::RefPtr<ToggleAction> gx_main_midi::MidiControllerTable::menuaction

private

Definition at line 57 of file gx_main_midi.h.

## midi_conn

sigc::connection gx_main_midi::MidiControllerTable::midi_conn

private

Definition at line 59 of file gx_main_midi.h.

## selection

GtkTreeSelection* gx_main_midi::MidiControllerTable::selection

private

Definition at line 55 of file gx_main_midi.h.

## store

GtkListStore* gx_main_midi::MidiControllerTable::store

private

Definition at line 56 of file gx_main_midi.h.

## togglebutton

GtkToggleButton* gx_main_midi::MidiControllerTable::togglebutton

private

Definition at line 54 of file gx_main_midi.h.

## window

GtkWidget* gx_main_midi::MidiControllerTable::window

static private

Definition at line 53 of file gx_main_midi.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_midi.h